http://d.puremagic.com/issues/show_bug.cgi?id=6012

           Summary: DMD version 1.064 and above causes segfaults in C
                    libraries
           Product: D
           Version: D1
          Platform: x86
        OS/Version: Linux
            Status: NEW
          Severity: regression
          Priority: P2
         Component: DMD
        AssignedTo: nob...@puremagic.com
        ReportedBy: wallbra...@gmail.com


--- Comment #0 from Jakob Bornecrantz <wallbra...@gmail.com> 2011-05-15 
17:04:55 PDT ---
A program that works perfectly fine with DMD versions 1.063 and below as well
as GDC stops working with DMD 1.064.

Disassembling the code showed that the code was exactly the same in the calling
D function for both versions of the compiler. I tried to create a small example
but  failed.

Just working around the offending code caused failures in other calls to C
libraries, tested the same code with DMD 1.063 and that worked with the
workarounds still in place.

If I knew which git commits responds to each version I could do a bisect of the
compiler.

Cheers Jakob.

-- 
Configure issuemail: http://d.puremagic.com/issues/userprefs.cgi?tab=email
------- You are receiving this mail because: -------

Reply via email to